kubuntu-debug-installer fails to install debug symbols for kmail (dbgsym repo related?!)

Bug #540505 reported by Daniel Hahler on 2010-03-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kubuntu-debug-installer (Ubuntu)
Low
Harald Sitter
Lucid
Low
Harald Sitter

Bug Description

Binary package hint: kubuntu-debug-installer

I'm trying to install debug symbols for kmail, but it fails.

It apparently tries to install
  kmail-dbgsym libqtgui4-dbgsym kdelibs5-dbg libqtcore4-dbgsym
(3 -dbgsym, 1 -dbg), but fails:
  "The following packages block the installation: kdelibs5-dbg"

When manually apt-get installing this list, I get:
$ LANG=C sudo apt-get install kmail-dbgsym libqtgui4-dbgsym kdelibs5-dbg libqtcore4-dbgsym
The following packages have unmet dependencies:
  kdelibs5-dbg: Depends: libqt4-dbg (>= 4.4.3) but it is not going to be installed

Then, adding it:
$ LANG=C sudo apt-get install kmail-dbgsym libqtgui4-dbgsym kdelibs5-dbg libqtcore4-dbgsym libqt4-dbg
The following packages have unmet dependencies:
  libqtcore4-dbgsym: Conflicts: libqt4-dbg but 4:4.6.2-0ubuntu2 is to be installed
  libqtgui4-dbgsym: Conflicts: libqt4-dbg but 4:4.6.2-0ubuntu2 is to be installed

I guess kubuntu-debug-installer should stick to using "dbgsym" or "dbg" packages only, or sort them when picking from alternatives.

ProblemType: Bug
Architecture: i386
Date: Wed Mar 17 21:01:01 2010
DistroRelease: Ubuntu 10.04
NonfreeKernelModules: nvidia
Package: kubuntu-debug-installer 10.04ubuntu3
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SourcePackage: kubuntu-debug-installer
Uname: Linux 2.6.32-16-generic i686

Daniel Hahler (blueyed) wrote :
Changed in kubuntu-debug-installer (Ubuntu):
importance: Undecided → Medium
Changed in kubuntu-debug-installer (Ubuntu):
assignee: nobody → Harald Sitter (apachelogger)
importance: Medium → Low
milestone: none → ubuntu-10.04
status: New → Fix Committed
tags: added: kubuntu
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-debug-installer - 10.04ubuntu4

---------------
kubuntu-debug-installer (10.04ubuntu4) lucid; urgency=low

  * Don't offer installation of already installed packages (LP: #538543)
  * Changer lookup order (dbgsym first, dbg last). This way the user does not
    end up with a mixed setup of dbgsym and dbg. Of course this only works if
    the user does not install -dbg manually! Unfortunately a more specific
    approach wil have to wait for libqapt or the likes, since the current
    query design would make the lookups too expensive (LP: #540505)
 -- Harald Sitter <email address hidden> Tue, 06 Apr 2010 00:23:51 +0200

Changed in kubuntu-debug-installer (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers